#include<bits/stdc++.h>
using namespace std;
struct ps{int t,m;};
ps a[100000],b[100000],tg;
int i,j,n,k,dema,demb;
int main()
{
	ifstream f1("SXPS.inp");
	ofstream f2("SXPS.out");
	f1>>n>>k;
	dema=1;a[1].t=0;a[1].m=n;
	for(i=1;i<=n-1;i++)
	for(j=i+1;j<=n;j++)
	{
		dema++;
		a[dema].t=i;
		a[dema].m=j;
	}
	dema++;
	a[dema].t=n;
	a[dema].m=n;
	for(i=1;i<=dema-1;i++)
	for(j=i+1;j<=dema;j++)
	if(a[i].t*a[j].m>a[j].t*a[i].m)
	{
		tg=a[i];
		a[i]=a[j];
		a[j]=tg;
	}

	demb=1;
	b[1]=a[1];
	for(i=2;i<=dema;i++)
	if(a[i].t*b[demb].m>a[i].m*b[demb].t)
	{
	demb++;b[demb]=a[i];
	}
	f2<<b[k].t<<"/"<<b[k].m<<endl;
	f1.close();f2.close();
}
